Bug 475068 - Recent (7th December) dbus update via Update System leads to inability to run Update System
Recent (7th December) dbus update via Update System leads to inability to ru...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
9
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
: 475103 475923 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 05:27 EST by Brian Morrison
Modified: 2008-12-16 10:56 EST (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-07 19:24:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 18229 None None None Never

  None (edit)
Description Brian Morrison 2008-12-07 05:27:18 EST
Description of problem:

Initially updated dbus packages to dbus-1.2.6-1.fc9.x86_64, the result was a number of errors of this nature:

A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.PackageKit.Transaction" member "SetLocale" error name "(unset)" destination "org.freedesktop.PackageKit") (0)

Version-Release number of selected component (if applicable):

1.2.6-1

How reproducible:

Once broken, stays broken after reboots

Steps to Reproduce:
1. Update dbus to 1.2.6-1
2. Run Update System
3. Observe error messages
  
Actual results:

Working Update System program no longer works

Expected results:

Updated System!

Additional info:

Updating PackageKit to updates-testing-newkey version to 0.3.10-2 does not cure the error, although it does slightly change the exact error message presented.

I have made no other changes to the system, but I did notice that /etc/dbus-1/system-services and /usr/share/dbus-1/system-services contain org.freedesktop.PackageKit.* files are dated in mid November. Should these have updates? Or possible in PolicyKit files?
Comment 1 Ignacio Vazquez-Abrams 2008-12-07 05:58:17 EST
*** Bug 475069 has been marked as a duplicate of this bug. ***
Comment 2 Ignacio Vazquez-Abrams 2008-12-07 06:58:36 EST
This also affects F10.
Comment 3 Kevin Fenzi 2008-12-07 11:49:21 EST
So, I guess the workaround here (for f10): 

(download the old version from f10 gold)
# yumdownloader dbus-1.2.4-1.fc10

(downgrade to the older version)
# rpm -Uvh dbus-1.2.4-1.fc10 --oldpackage

(exclude dbus for now, but note to remove this line once a fixed version is out)
# echo "exclude=dbus" >> /etc/yum.conf

(reboot to restart dbus)
# shutdown -r now

Once the package is fixed the exclude should be removed from /etc/yum.conf and the new update can be picked up.
Comment 4 Scott Dowdle 2008-12-07 12:58:02 EST
yumdownloader dbus-1.2.4-1.fc10 dbus-libs-1.2.4-1.fc10 dbus-x11-1.2.4-1.fc10

and then

rpm -Uvh dbus-1.2.4-1.fc10.i386.rpm dbus-libs-1.2.4-1.fc10.i386.rpm dbus-x11-1.2.4-1.fc10.i386.rpm --oldpackage

and then 

echo "exclude=dbus*" >> /etc/yum.conf
Comment 5 Kevin Fenzi 2008-12-07 13:23:18 EST
quite right, sorry for not testing fully. ;(

Hopefully this will be fixed in an update soon.
Comment 6 Scott Dowdle 2008-12-07 17:26:45 EST
Egads, those older packages don't seem to be available in the mirrors anymore. :(
Comment 7 Brian Morrison 2008-12-07 17:34:45 EST
No, it's comprehensively b0rked at present.

A temporary fix can be found here:

http://forums.fedoraforum.org/showpost.php?p=1125914&postcount=25

that will work until a proper fix appears.

You will need to reboot, and make sure you are careful with the edit or dbus won't start up.
Comment 8 Kevin Fenzi 2008-12-07 17:36:15 EST
They are, but likely yumdownloader is picking up the new ones now. :( 

You can work around this by doing "yumdownloader --disablerepo=updates ...."

Some additional updates: 

- For F10 a new PackageKit is being pushed now that should fix this. 
- For F9 a new PackageKit is being built now and will be pushed soon.
Comment 9 Fedora Update System 2008-12-07 17:41:26 EST
PackageKit-0.3.10-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/PackageKit-0.3.10-3.fc9
Comment 10 Julian Sikorski 2008-12-07 18:21:07 EST
*** Bug 475102 has been marked as a duplicate of this bug. ***
Comment 11 Colin Walters 2008-12-07 19:21:25 EST
*** Bug 475103 has been marked as a duplicate of this bug. ***
Comment 12 Colin Walters 2008-12-07 19:24:49 EST
The Fedora 10 update is:

https://admin.fedoraproject.org/updates/PackageKit-0.3.11-4.fc10

Let's make the canonical bug for this 475074, because that's the one mentioned in the F10 update.

*** This bug has been marked as a duplicate of bug 475074 ***
Comment 13 Tomas Hoger 2008-12-08 03:06:11 EST
(In reply to comment #7)
> A temporary fix can be found here:
> 
> http://forums.fedoraforum.org/showpost.php?p=1125914&postcount=25

See upstream bug for better fix:
  https://bugs.freedesktop.org/show_bug.cgi?id=18931
Comment 14 Vincenzo Orlando 2008-12-08 13:02:44 EST
I've been waiting to add this to see if someone posts, the bug is not only affecting PackageKit, it is also affecting Bluetooth, Services and Samba GUI (probably other stuff too). Not sure on why the update that is uploaded is only to fix PackageKit.

For now I downgraded my dbus to the previous version, and I'll wait until they push a full update on all affected packages or a dbus fix maybe?

(Downgrading Dbus and it's deps obviously fixes the issues)
Comment 15 Ignacio Vazquez-Abrams 2008-12-08 13:50:31 EST
(In reply to comment #14)
> I've been waiting to add this to see if someone posts, the bug is not only
> affecting PackageKit, it is also affecting Bluetooth, Services and Samba GUI
> (probably other stuff too). Not sure on why the update that is uploaded is only
> to fix PackageKit.

The other services that are affected by the D-Bus change have their own bug reports and need their own fixes.
Comment 16 Fedora Update System 2008-12-09 06:34:36 EST
PackageKit-0.3.10-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Dagan McGregor 2008-12-09 17:19:11 EST
 Installed updated packages as noted here: 
 https://bugzilla.redhat.com/show_bug.cgi?id=475074#c61

 'Update System' UI is not working with the updated packages, but the dbus errors are no longer there, and yum works reliably without generating an error.
Comment 18 Fedora Update System 2008-12-10 05:33:52 EST
PackageKit-0.3.12-1.fc9,gnome-packagekit-0.3.12-3.fc9,kpackagekit-0.3.1-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/PackageKit-0.3.12-1.fc9,gnome-packagekit-0.3.12-3.fc9,kpackagekit-0.3.1-6.fc9
Comment 19 lorenzo 2008-12-10 21:19:29 EST
When I try the suggested fix I get this error, what's wrong?

rpm -Uvh dbus-1.2.4-1.fc10.i386.rpm dbus-libs-1.2.4-1.fc10.i386.rpm dbus-x11-1.2.4-1.fc10.i386.rpm --oldpackage
error: can't create transaction lock on /var/lib/rpm/__db.000 (No such file or directory)
Comment 20 Kevin Fenzi 2008-12-10 21:39:02 EST
In reply to comment #19: 

- Are you sure you are root (ie, did a 'su' ) ?

- does rpm in general work there? ie, 'rpm -qa' shows output? 

- Please open a new bug as this seems like a different issue...
Comment 21 lorenzo 2008-12-10 21:56:06 EST
Preparing...                ########################################### [100%]
	package dbus-libs-1.2.6-1.fc10.i386 (which is newer than dbus-libs-1.2.4-1.fc10.i386) is already installed
	package dbus-1.2.6-1.fc10.i386 (which is newer than dbus-1.2.4-1.fc10.i386) is already installed
	package dbus-x11-1.2.6-1.fc10.i386 (which is newer than dbus-x11-1.2.4-1.fc10.i386) is already installed
[root@vaio archives]# 

Preparing...                ########################################### [100%]
   1:dbus-libs              ########################################### [ 33%]
   2:dbus                   ########################################### [ 67%]
   3:dbus-x11               ########################################### [100%]
[root@vaio archives]# 

Preparing...                ########################################### [100%]
   1:dbus-libs              ########################################### [ 33%]
   2:dbus                   ########################################### [ 67%]
   3:dbus-x11               ########################################### [100%]
[root@vaio archives]# echo "exclude=dbus*" >> /etc/yum.conf
[root@vaio archives]# 

ok, so far so good, what now? reboot?
Comment 22 lorenzo 2008-12-10 22:13:11 EST
So I'm guessing that we don't install the updates until a fix is released?

I'm getting the system update pushes again, but not sure.. ignore?
Comment 23 Alexander Todorov 2008-12-11 13:21:37 EST
*** Bug 475923 has been marked as a duplicate of this bug. ***
Comment 24 Kevin Fenzi 2008-12-11 19:10:14 EST
Updates are all out now. Just 'yum update' and if it doesn't work, wait a while and try again until whatever mirrors you hit are fully synced.
Comment 25 Fedora Update System 2008-12-13 09:59:33 EST
PackageKit-0.3.12-1.fc9, gnome-packagekit-0.3.12-3.fc9, kpackagekit-0.3.1-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.